Get Tax Settings by Country/Region
curl --request GET \
--url https://api.spotflow.co/api/v1/tax-configurations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/tax-configurations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/tax-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 12,
"taxName": "VAT",
"taxType": "percentage",
"rate": 7.5,
"currency": "NGN",
"capAmount": 2000,
"thresholdAmount": 0,
"regionId": 1,
"regionName": "Nigeria",
"merchantName": "DEE LLC",
"status": "active",
"template": false,
"templateId": 1
}
]Tax Configuration
Get Tax Settings by Country/Region
Returns a list of all custom tax rules and rates configured for a specific country.
GET
/
tax-configurations
Get Tax Settings by Country/Region
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique ID number for the country (e.g., 1 for Nigeria).
Example:
1
Response
200 - application/json
A list of configured tax settings.
Example:
12
Example:
"VAT"
Available options:
flat, percentage Example:
"percentage"
Example:
7.5
Example:
"NGN"
Example:
2000
Example:
0
Example:
1
Example:
"Nigeria"
Example:
"DEE LLC"
Available options:
active, inactive Example:
"active"
Example:
false
Example:
1
⌘I

